Bullet Collision Detection & Physics Library: btSerializer.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Functions | Variables
btSerializer.h File Reference
`#include "btScalar.h"`
`#include "btHashMap.h"`
`#include <memory.h>`
`#include <string.h>`
Include dependency graph for btSerializer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btChunk
class | btSerializer
struct | btPointerUid
struct | btBulletSerializedArrays
class | btDefaultSerializer
| The btDefaultSerializer is the main Bullet serialization class. More...

## Macros
#define | BT_HEADER_LENGTH 12
#define | BT_MAKE_ID(a, b, c, d) ((int)(d) << 24 | (int)(c) << 16 | (b) << 8 | (a))
#define | BT_MULTIBODY_CODE BT_MAKE_ID('M', 'B', 'D', 'Y')
#define | BT_MB_LINKCOLLIDER_CODE BT_MAKE_ID('M', 'B', 'L', 'C')
#define | BT_SOFTBODY_CODE BT_MAKE_ID('S', 'B', 'D', 'Y')
#define | BT_COLLISIONOBJECT_CODE BT_MAKE_ID('C', 'O', 'B', 'J')
#define | BT_RIGIDBODY_CODE BT_MAKE_ID('R', 'B', 'D', 'Y')
#define | BT_CONSTRAINT_CODE BT_MAKE_ID('C', 'O', 'N', 'S')
#define | BT_BOXSHAPE_CODE BT_MAKE_ID('B', 'O', 'X', 'S')
#define | BT_QUANTIZED_BVH_CODE BT_MAKE_ID('Q', 'B', 'V', 'H')
#define | BT_TRIANLGE_INFO_MAP BT_MAKE_ID('T', 'M', 'A', 'P')
#define | BT_SHAPE_CODE BT_MAKE_ID('S', 'H', 'A', 'P')
#define | BT_ARRAY_CODE BT_MAKE_ID('A', 'R', 'A', 'Y')
#define | BT_SBMATERIAL_CODE BT_MAKE_ID('S', 'B', 'M', 'T')
#define | BT_SBNODE_CODE BT_MAKE_ID('S', 'B', 'N', 'D')
#define | BT_DYNAMICSWORLD_CODE BT_MAKE_ID('D', 'W', 'L', 'D')
#define | BT_CONTACTMANIFOLD_CODE BT_MAKE_ID('C', 'O', 'N', 'T')
#define | BT_DNA_CODE BT_MAKE_ID('D', 'N', 'A', '1')

## Enumerations
enum | btSerializationFlags { BT_SERIALIZE_NO_BVH = 1 , BT_SERIALIZE_NO_TRIANGLEINFOMAP = 2 , BT_SERIALIZE_NO_DUPLICATE_ASSERT = 4 , BT_SERIALIZE_CONTACT_MANIFOLDS = 8 }

## Functions
int | btStrLen (const char *str)

## Variables
char | sBulletDNAstr []
int | sBulletDNAlen
char | sBulletDNAstr64 []
int | sBulletDNAlen64

## Macro Definition Documentation

## ◆ BT_ARRAY_CODE

#define BT_ARRAY_CODE BT_MAKE_ID('A', 'R', 'A', 'Y')

Definition at line 118 of file btSerializer.h.

## ◆ BT_BOXSHAPE_CODE

#define BT_BOXSHAPE_CODE BT_MAKE_ID('B', 'O', 'X', 'S')

Definition at line 114 of file btSerializer.h.

## ◆ BT_COLLISIONOBJECT_CODE

#define BT_COLLISIONOBJECT_CODE BT_MAKE_ID('C', 'O', 'B', 'J')

Definition at line 111 of file btSerializer.h.

## ◆ BT_CONSTRAINT_CODE

#define BT_CONSTRAINT_CODE BT_MAKE_ID('C', 'O', 'N', 'S')

Definition at line 113 of file btSerializer.h.

## ◆ BT_CONTACTMANIFOLD_CODE

#define BT_CONTACTMANIFOLD_CODE BT_MAKE_ID('C', 'O', 'N', 'T')

Definition at line 122 of file btSerializer.h.

## ◆ BT_DNA_CODE

#define BT_DNA_CODE BT_MAKE_ID('D', 'N', 'A', '1')

Definition at line 123 of file btSerializer.h.

## ◆ BT_DYNAMICSWORLD_CODE

#define BT_DYNAMICSWORLD_CODE BT_MAKE_ID('D', 'W', 'L', 'D')

Definition at line 121 of file btSerializer.h.

## ◆ BT_HEADER_LENGTH

#define BT_HEADER_LENGTH 12

Definition at line 101 of file btSerializer.h.

## ◆ BT_MAKE_ID

#define BT_MAKE_ID | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  | ((int)(d) << 24 | (int)(c) << 16 | (b) << 8 | (a))

Definition at line 105 of file btSerializer.h.

## ◆ BT_MB_LINKCOLLIDER_CODE

#define BT_MB_LINKCOLLIDER_CODE BT_MAKE_ID('M', 'B', 'L', 'C')

Definition at line 109 of file btSerializer.h.

## ◆ BT_MULTIBODY_CODE

#define BT_MULTIBODY_CODE BT_MAKE_ID('M', 'B', 'D', 'Y')

Definition at line 108 of file btSerializer.h.

## ◆ BT_QUANTIZED_BVH_CODE

#define BT_QUANTIZED_BVH_CODE BT_MAKE_ID('Q', 'B', 'V', 'H')

Definition at line 115 of file btSerializer.h.

## ◆ BT_RIGIDBODY_CODE

#define BT_RIGIDBODY_CODE BT_MAKE_ID('R', 'B', 'D', 'Y')

Definition at line 112 of file btSerializer.h.

## ◆ BT_SBMATERIAL_CODE

#define BT_SBMATERIAL_CODE BT_MAKE_ID('S', 'B', 'M', 'T')

Definition at line 119 of file btSerializer.h.

## ◆ BT_SBNODE_CODE

#define BT_SBNODE_CODE BT_MAKE_ID('S', 'B', 'N', 'D')

Definition at line 120 of file btSerializer.h.

## ◆ BT_SHAPE_CODE

#define BT_SHAPE_CODE BT_MAKE_ID('S', 'H', 'A', 'P')

Definition at line 117 of file btSerializer.h.

## ◆ BT_SOFTBODY_CODE

#define BT_SOFTBODY_CODE BT_MAKE_ID('S', 'B', 'D', 'Y')

Definition at line 110 of file btSerializer.h.

## ◆ BT_TRIANLGE_INFO_MAP

#define BT_TRIANLGE_INFO_MAP BT_MAKE_ID('T', 'M', 'A', 'P')

Definition at line 116 of file btSerializer.h.

## Enumeration Type Documentation

## ◆ btSerializationFlags

enum btSerializationFlags

Enumerator
BT_SERIALIZE_NO_BVH |
BT_SERIALIZE_NO_TRIANGLEINFOMAP |
BT_SERIALIZE_NO_DUPLICATE_ASSERT |
BT_SERIALIZE_CONTACT_MANIFOLDS |

Definition at line 57 of file btSerializer.h.

## Function Documentation

## ◆ btStrLen()

int btStrLen | ( | const char * | str | ) |
| inline

Definition at line 32 of file btSerializer.h.

## Variable Documentation

## ◆ sBulletDNAlen

int sBulletDNAlen
| extern

Definition at line 692 of file btSerializer.cpp.

## ◆ sBulletDNAlen64

int sBulletDNAlen64
| extern

Definition at line 692 of file btSerializer64.cpp.

## ◆ sBulletDNAstr

char sBulletDNAstr[]
| extern

Definition at line 1 of file btSerializer.cpp.

## ◆ sBulletDNAstr64

char sBulletDNAstr64[]
| extern

Definition at line 1 of file btSerializer64.cpp.